Name:          libmypaint
Version:       1.6.1
Release:       1
Summary:       Rush library used by MyPaint
License:       ISC
URL:           https://github.com/mypaint/libmypaint
Source0:       https://github.com/mypaint/libmypaint/releases/download/v%{version}/libmypaint-%{version}.tar.xz

BuildRequires: babl-devel gcc doxygen glib2-devel gobject-introspection-devel
BuildRequires: intltool json-c-devel python3-breathe python3-sphinx
Conflicts:     mypaint < 1.3.0

%description
This is the brush library used by MyPaint. A number of other painting programs use it too.

%package       devel
Summary:       Development files for %{name}
Requires:      %{name}%{?isa} = %{?epoch:%{epoch}:}%{version}-%{release}, pkgconfig

%description   devel
This package includes development files for %{name}.

%prep
%autosetup -p1
sed -i -e 's/python -c/python3 -c/g' configure

%build
%configure --enable-docs --enable-introspection=yes --disable-gegl
%make_build

%install
%make_install
find $RPM_BUILD_ROOT%{_libdir} -name '*.la' -delete -print
%find_lang %{name}

%ldconfig_scriptlets

%files -f %{name}.lang
%license COPYING
%doc README.md
%{_libdir}/*.so.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/MyPaint-1.6.typelib

%files devel
%doc doc/build/*
%{_libdir}/*.so
%{_includedir}/%{name}*
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/MyPaint*-1.6.gir

%changelog
* Tue Aug 11 2020 lingsheng <lingsheng@huawei.com> - 1.6.1-1
- Update to 1.6.1

* Fri Dec 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.0-10
- Package init

